//DIAMOND ARMOUR SCRIPTS
//
//
// 


//Diamond Helemt Script
ServerEvents.recipes(event => {
    event.shaped('minecraft:diamond_helmet', [
        'ABA',
        'ACA',
        '   ',
    ],{
        A: 'minecraft:diamond',
        B: 'minecraft:leather',
        C: 'additionaladditions:rose_gold_helmet',
    })
})

ServerEvents.recipes(event => {
     event.remove(
         {id: 'minecraft:diamond_helmet'}
    )
})
//end 

//diamond chestplate script
ServerEvents.recipes(event => {
    event.shaped('minecraft:diamond_chestplate', [
        'A A',
        'BCB',
        'AAA',
    ],{
        A: 'minecraft:diamond',
        B: 'minecraft:leather',
        C: 'additionaladditions:rose_gold_chestplate',
    })
})

ServerEvents.recipes(event => {
     event.remove(
         {id: 'minecraft:diamond_chestplate'}
    )
}
)
//end

//diamond leggings script
ServerEvents.recipes(event => {
    event.shaped('minecraft:diamond_leggings', [
        'ACA',
        'B B',
        'A A',
    ],{
        A: 'minecraft:diamond',
        B: 'minecraft:leather',
        C: 'additionaladditions:rose_gold_leggings',
    })
})

ServerEvents.recipes(event => {
     event.remove(
         {id: 'minecraft:diamond_leggings'}
    )
}
)
//end

//diamond boots script
ServerEvents.recipes(event => {
    event.shaped('minecraft:diamond_boots', [
        '   ',
        'BCB',
        'A A',
    ],{
        A: 'minecraft:diamond',
        B: 'minecraft:leather',
        C: 'additionaladditions:rose_gold_boots',
    })
})

ServerEvents.recipes(event => {
     event.remove(
         {id: 'minecraft:diamond_boots'}
    )
}
)
//end

//IRON ARMOUR RECIPIES
// 
// 
// 

//Iron Helmet
ServerEvents.recipes(event => {
    event.shaped('minecraft:iron_helmet', [
        'ABA',
        'B B',
        '   ',
    ],{
        A: 'minecraft:iron_ingot',
        B: 'create:iron_sheet',
    })
})

ServerEvents.recipes(event => {
     event.remove(
         {id: 'minecraft:iron_helmet'}
    )
}
)
//end

//iron Chestplate
ServerEvents.recipes(event => {
    event.shaped('minecraft:iron_chestplate', [
        'B B',
        'BAB',
        'AAA',
    ],{
        A: 'minecraft:iron_ingot',
        B: 'create:iron_sheet',
    })
})

ServerEvents.recipes(event => {
     event.remove(
         {id: 'minecraft:iron_chestplate'}
    )
}
)
//end

//iron leggings
ServerEvents.recipes(event => {
    event.shaped('minecraft:iron_leggings', [
        'ABA',
        'B B',
        'A A',
    ],{
        A: 'minecraft:iron_ingot',
        B: 'create:iron_sheet',
    })
})

ServerEvents.recipes(event => {
     event.remove(
         {id: 'minecraft:iron_leggings'}
    )
}
)
//end

//iron boots
ServerEvents.recipes(event => {
    event.shaped('minecraft:iron_boots', [
        '   ',
        'B B',
        'A A',
    ],{
        A: 'minecraft:iron_ingot',
        B: 'create:iron_sheet',
    })
})

ServerEvents.recipes(event => {
     event.remove(
         {id: 'minecraft:iron_boots'}
    )
}
)
//end

//ROSE GOLD ALLOY SCRIPT
//
//
//

ServerEvents.recipes(event => {
    event.recipes.create.mixing(  
         'additionaladditions:rose_gold_alloy', ['minecraft:copper_ingot', 'minecraft:gold_ingot'] 
        ).heated()
})
  

ServerEvents.recipes(event => {
    event.remove(
        {id: 'additionaladditions:rose_gold_alloy'}
    )
})